# Steam Pipe Dreams
# Copyright (C) 2006 Andrew Wilkinson <ajw140@york.ac.uk>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import pygame

import main

class AskQuit:
    def __init__(self):
        self.font = pygame.font.Font(pygame.font.match_font("Arial"), 30)

        self.text = self.font.render("Are you sure you want to leave this game?", True, (0, 0, 0))
        self.textrect = self.text.get_rect()
        self.textrect.topleft = (400 - self.textrect.width/2, 250)

        self.yes = self.font.render("Yes", True, (0, 0, 0))
        self.yesrect = self.yes.get_rect()
        self.yesrect.topleft = (300 - self.yesrect.width/2, 300)

        self.no = self.font.render("No", True, (0, 0, 0))
        self.norect = self.no.get_rect()
        self.norect.topleft = (500 - self.norect.width/2, 300)

    def render(self, screen):
        screen.blit(self.text, self.textrect)
        screen.blit(self.yes, self.yesrect)
        screen.blit(self.no, self.norect)

    def click(self, pos, button):
        if button != 1:
            return False
        if self.yesrect.collidepoint(pos):
            main.state = main.MENU
            return True
        else:
            main.askquit = None
            main.state = main.PLAY
            return True
