# Steam Pipe Dreams
# Copyright (C) 2006 Andrew Wilkinson <ajw140@york.ac.uk>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import pygame

import main

class GameLose:
    def __init__(self):
        self.bigfont = pygame.font.Font(pygame.font.match_font("Arial"), 80)
        self.smallfont = pygame.font.Font(pygame.font.match_font("Arial"), 40)
        self.level = self.bigfont.render(":-(", True, (0, 0, 0))
        self.levelrect = self.level.get_rect()
        self.levelrect.topleft = (400 - self.levelrect.width/2, 75)

        self.msg1 = self.smallfont.render("You failed helped to", True, (0, 0, 0))
        self.msg1rect = self.msg1.get_rect()
        self.msg1rect.topleft = (400 - self.msg1rect.width/2, 200)

        self.msg4 = self.smallfont.render("Professor Werner Von Trapple", True, (0, 0, 0))
        self.msg4rect = self.msg4.get_rect()
        self.msg4rect.topleft = (400 - self.msg4rect.width/2, 250)

        self.msg2 = self.smallfont.render("cure cancer but you did reach level %i" % (main.gm.levels.currentlevel+1, ), True, (0, 0, 0))
        self.msg2rect = self.msg2.get_rect()
        self.msg2rect.topleft = (400 - self.msg2rect.width/2, 300)

        self.msg3 = self.smallfont.render(" and score %i points." % (main.gm.total_score, ), True, (0, 0, 0))
        self.msg3rect = self.msg3.get_rect()
        self.msg3rect.topleft = (400 - self.msg3rect.width/2, 350)

        self.clickmsg = self.smallfont.render("Click To Continue", True, (255, 255, 255))
        self.clickmsgrect = self.clickmsg.get_rect()
        self.clickmsgrect.topleft = (400 - self.clickmsgrect.width/2, 500)

    def update(self, time):
        pass

    def render(self, screen):
        screen.blit(self.level, self.levelrect)
        screen.blit(self.msg1, self.msg1rect)
        screen.blit(self.msg4, self.msg4rect)
        screen.blit(self.msg2, self.msg2rect)
        screen.blit(self.msg3, self.msg3rect)
        screen.blit(self.clickmsg, self.clickmsgrect)

    def click(self, pos, button):
        if button == 1 :
            main.state = main.MENU
