# Steam Pipe Dreams
# Copyright (C) 2006 Andrew Wilkinson <ajw140@york.ac.uk>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import pygame

import main

from gfx import loadImage

class Instructions:
    def __init__(self):
        self.page = 1
        self.img = loadImage("instructions/page1.png")
        self.rect = self.img.get_rect()

    def update(self, time):
        pass

    def render(self, screen):
        screen.blit(self.img, self.rect)

    def click(self, pos, button):
        if button == 1 :
            if self.page == 4:
                main.state = main.MENU
                self.page = 1
                self.img = loadImage("instructions/page%i.png" % (self.page, ))
            else:
                self.page += 1
                self.img = loadImage("instructions/page%i.png" % (self.page, ))
        return True