# Steam Pipe Dreams
# Copyright (C) 2006 Andrew Wilkinson <ajw140@york.ac.uk>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import random

from pipedreams.gfx import loadImage
from piece import Piece

class Boiler(Piece):
    tooltip = "The boiler. This where your steam starts."

    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("boiler.png")

        self.no_graph = True
        self.rate = 0.0

        self.accept = []
        self.volume = 1


    def update(self, time):
        if self.right and Piece.LEFT in self.right.accept:
            size = random.randint(1, 100)
            if random.random() < self.rate:
                from pipedreams.main import gm
                gm.board.smoke.addSmoke(self.rect.topleft[0] + 16, self.rect.topleft[1] + 10)
                gm.board.smoke.addSmoke(self.rect.topleft[0] + 16, self.rect.topleft[1] + 10)
                gm.score -= 1
                self.right.acceptSteam({"O": size})

    def render(self, screen):
        screen.blit(self.image, self.rect)

    def increaseRate(self):
        self.rate += 0.1
        if self.rate > 1.0:
            self.rate = 1.0

    def decreaseRate(self):
        self.rate -= 0.1
        if self.rate < 0.0:
            self.rate = 0.0
