# Steam Pipe Dreams
# Copyright (C) 2006 Andrew Wilkinson <ajw140@york.ac.uk>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

from pipedreams.gfx import loadImage

from piece import Piece

limit = 30.0

class Red(Piece):
    tooltip = "Red additive. This will turn your steam red."

    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("red.png")
        self.accept = [Piece.RIGHT, Piece.LEFT]
        self.volume = 10
        self.rotate = Red

    def update(self, time):
        Piece.update(self, time)

        if self.O > 0:
            if self.O > 20:
                self.O = self.O - 20
                self.R = self.R + 20
            else:
                self.R = self.R + self.O
                self.O = 0

        if self.pressure > 1 and self.left and Piece.RIGHT in self.left.accept:
            self.transferSteam(self.left)
        if self.pressure > 1 and self.right and Piece.LEFT in self.right.accept:
            self.transferSteam(self.right)

class Green(Piece):
    tooltip = "Green additive. This will turn your steam green."

    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("green.png")
        self.accept = [Piece.RIGHT, Piece.LEFT]
        self.volume = 10
        self.rotate = Green

    def update(self, time):
        Piece.update(self, time)

        if self.O > 0:
            if self.O > 20:
                self.O = self.O - 20
                self.G = self.G + 20
            else:
                self.G = self.G + self.O
                self.O = 0

        if self.pressure > 1 and self.left and Piece.RIGHT in self.left.accept:
            self.transferSteam(self.left)
        if self.pressure > 1 and self.right and Piece.LEFT in self.right.accept:
            self.transferSteam(self.right)

class Blue(Piece):
    tooltip = "Blue additive. This will turn your steam blue."

    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("blue.png")
        self.accept = [Piece.RIGHT, Piece.LEFT]
        self.volume = 10
        self.rotate = Blue

    def update(self, time):
        Piece.update(self, time)

        if self.O > 0:
            if self.O > 10:
                self.O = self.O - 20
                self.B = self.B + 20
            else:
                self.B = self.B + self.O
                self.O = 0

        if self.pressure > 1 and self.left and Piece.RIGHT in self.left.accept:
            self.transferSteam(self.left)
        if self.pressure > 1 and self.right and Piece.LEFT in self.right.accept:
            self.transferSteam(self.right)

class Yellow(Piece):
    tooltip = "Yellow additive. This will turn your steam yellow."

    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("yellow.png")
        self.accept = [Piece.RIGHT, Piece.LEFT]
        self.volume = 10
        self.rotate = Yellow

    def update(self, time):
        Piece.update(self, time)

        if self.O > 0:
            if self.O > 20:
                self.O = self.O - 20
                self.Y = self.Y + 20
            else:
                self.Y = self.Y + self.O
                self.O = 0

        if self.pressure > 1 and self.left and Piece.RIGHT in self.left.accept:
            self.transferSteam(self.left)
        if self.pressure > 1 and self.right and Piece.LEFT in self.right.accept:
            self.transferSteam(self.right)
