from pipedreams.gfx import loadImage

from piece import Piece

class ReservoirHorizontal(Piece):
    points = 100
    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("reservoir_horizontal.png")
        self.accept = [Piece.LEFT, Piece.RIGHT]
        self.pipe = True
        self.require_graph = True
        self.volume = 100
        self.rotate = ReservoirVertical

    def update(self, time):
        Piece.update(self, time)
        if self.pressure > 1 and self.left and Piece.RIGHT in self.left.accept:
            self.transferSteam(self.left)
        if self.pressure > 1 and self.right and Piece.LEFT in self.right.accept:
            self.transferSteam(self.right)

class ReservoirVertical(Piece):
    points = 100
    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("reservoir_vertical.png")
        self.accept = [Piece.UP, Piece.DOWN]
        self.pipe = True
        self.volume = 100
        self.rotate = ReservoirHorizontal

    def update(self, time):
        Piece.update(self, time)
        if self.pressure > 1 and self.down and Piece.UP in self.down.accept:
            self.transferSteam(self.down)
        if self.pressure > 1 and self.up and Piece.DOWN in self.up.accept:
            self.transferSteam(self.up)
