# Steam Pipe Dreams
# Copyright (C) 2006 Andrew Wilkinson <ajw140@york.ac.uk>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

from pipedreams.gfx import loadImage

from piece import Piece

class ThinHorizontal(Piece):
    points = 100
    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("thin_horizontal.png")
        self.accept = [Piece.LEFT, Piece.RIGHT]
        self.pipe = True
        self.volume = 2
        self.rotate = ThinVertical
        self.leakage = 0.1

    def update(self, time):
        Piece.update(self, time)
        if self.pressure > 1 and self.left and Piece.RIGHT in self.left.accept:
            self.transferSteam(self.left)
        if self.pressure > 1 and self.right and Piece.LEFT in self.right.accept:
            self.transferSteam(self.right)

class ThinVertical(Piece):
    points = 100
    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("thin_vertical.png")
        self.accept = [Piece.UP, Piece.DOWN]
        self.placed_graph = True
        self.volume = 2
        self.rotate = ThinHorizontal
        self.leakage = 0.1

    def update(self, time):
        Piece.update(self, time)
        if self.pressure > 1 and self.down and Piece.UP in self.down.accept:
            self.transferSteam(self.down)
        if self.pressure > 1 and self.up and Piece.DOWN in self.up.accept:
            self.transferSteam(self.up)
