# Steam Pipe Dreams
# Copyright (C) 2006 Andrew Wilkinson <ajw140@york.ac.uk>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

from pipedreams.gfx import loadImage

from piece import Piece

class TJunction1(Piece):
    points = 75
    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("tjunction1.png")
        self.accept = [Piece.LEFT, Piece.UP, Piece.DOWN]
        self.pipe = True
        self.volume = 10
        self.rotate = TJunction2

    def update(self, time):
        Piece.update(self, time)
        if self.pressure > 1 and self.left and Piece.RIGHT in self.left.accept:
            self.transferSteam(self.left)
        if self.pressure > 1 and self.up and Piece.DOWN in self.up.accept:
            self.transferSteam(self.up)
        if self.pressure > 1 and self.down and Piece.UP in self.down.accept:
            self.transferSteam(self.down)

class TJunction2(Piece):
    points = 75
    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("tjunction2.png")
        self.accept = [Piece.UP, Piece.RIGHT, Piece.LEFT]
        self.pipe = True
        self.volume = 10
        self.rotate = TJunction3

    def update(self, time):
        Piece.update(self, time)
        if self.pressure > 1 and self.up and Piece.DOWN in self.up.accept:
            self.transferSteam(self.up)
        if self.pressure > 1 and self.right and Piece.LEFT in self.right.accept:
            self.transferSteam(self.right)
        if self.pressure > 1 and self.left and Piece.RIGHT in self.left.accept:
            self.transferSteam(self.left)

class TJunction3(Piece):
    points = 75
    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("tjunction3.png")
        self.accept = [Piece.RIGHT, Piece.DOWN, Piece.UP]
        self.pipe = True
        self.volume = 10
        self.rotate = TJunction4

    def update(self, time):
        Piece.update(self, time)
        if self.pressure > 1 and self.right and Piece.LEFT in self.right.accept:
            self.transferSteam(self.right)
        if self.pressure > 1 and self.down and Piece.UP in self.down.accept:
            self.transferSteam(self.down)
        if self.pressure > 1 and self.up and Piece.DOWN in self.up.accept:
            self.transferSteam(self.up)

class TJunction4(Piece):
    points = 75
    def __init__(self):
        Piece.__init__(self)

        self.image = loadImage("tjunction4.png")
        self.accept = [Piece.DOWN, Piece.LEFT, Piece.RIGHT]
        self.pipe = True
        self.volume = 10
        self.rotate = TJunction1

    def update(self, time):
        Piece.update(self, time)
        if self.pressure > 1 and self.down and Piece.UP in self.down.accept:
            self.transferSteam(self.down)
        if self.pressure > 1 and self.left and Piece.RIGHT in self.left.accept:
            self.transferSteam(self.left)
        if self.pressure > 1 and self.right and Piece.LEFT in self.right.accept:
            self.transferSteam(self.right)
