# Steam Pipe Dreams
# Copyright (C) 2006 Andrew Wilkinson <ajw140@york.ac.uk>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import pygame

import main

class ToolTip:
    def __init__(self, str, x, y):
        self.font = pygame.font.Font(pygame.font.match_font("Arial"), 15)

        text = self.font.render(str, True, (0, 0, 0))
        size = text.get_rect()

        self.img = pygame.Surface((size.width, size.height)).convert_alpha()
        self.img.fill((255, 255, 128))
        self.img.blit(text, size)
        self.rect = self.img.get_rect()
        self.rect.topleft = (x, y)

        self.time = 10
        self.isrender = True

    def update(self, time):
        self.time -= time
        if self.time <= 0:
            self.isrender = False

    def render(self, screen):
        if self.isrender:
            screen.blit(self.img, self.rect)
